package net.northking.cctp.platform.dto.comlibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

@JsonSerialize
@ApiModel(description = "录制查询基础组件参数")
public class RecordComParamDto implements Serializable {

    @ApiModelProperty("参数标识0-输入1-输出")
    private Integer paramFlag;

    @ApiModelProperty("参数描述")
    private String paramIntro;

    @ApiModelProperty("参数名称")
    private String paramName;

    @ApiModelProperty("参数来源")
    private String paramScope;

    @ApiModelProperty("参数类型")
    private String paramType;

    @ApiModelProperty("是否必输0-必输1-非必输")
    private Integer required;

    @ApiModelProperty("默认值")
    private String defaultValue;

    @ApiModelProperty("是否展示")
    private Integer defaultDisplay;

    @ApiModelProperty("输入框类型text-默认输入框;select单选;selects多选")
    private String inputType;
    /**
     * 枚举值<br>
     */
    @ApiModelProperty("枚举值")
    @Size(max = 500, message="枚举值-enumValues: 数据长度不能 > 500" )
    private String enumValues;

    public Integer getParamFlag() {
        return paramFlag;
    }

    public void setParamFlag(Integer paramFlag) {
        this.paramFlag = paramFlag;
    }

    public String getParamIntro() {
        return paramIntro;
    }

    public void setParamIntro(String paramIntro) {
        this.paramIntro = paramIntro;
    }

    public String getParamName() {
        return paramName;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }

    public String getParamScope() {
        return paramScope;
    }

    public void setParamScope(String paramScope) {
        this.paramScope = paramScope;
    }

    public String getParamType() {
        return paramType;
    }

    public void setParamType(String paramType) {
        this.paramType = paramType;
    }

    public Integer getRequired() {
        return required;
    }

    public void setRequired(Integer required) {
        this.required = required;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getInputType() {
        return inputType;
    }

    public void setInputType(String inputType) {
        this.inputType = inputType;
    }

    public Integer getDefaultDisplay() {
        return defaultDisplay;
    }

    public void setDefaultDisplay(Integer defaultDisplay) {
        this.defaultDisplay = defaultDisplay;
    }

    public String getEnumValues() {
        return enumValues;
    }

    public void setEnumValues(String enumValues) {
        this.enumValues = enumValues;
    }
}
